[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Buttons' (#lcl)

# TCustomBitBtn.LoadGlyphFromResourceName

Loads the Glyph image with the specified named from a resource instance.

## Declaration

Source position: buttons.pp line 210

`public procedure TCustomBitBtn.LoadGlyphFromResourceName(`
`Instance: TLCLHandle;`
`const AName: string`
`);`

## Arguments

`Instance` |  | Handle for the resource instance where the glyph image is stored.
`AName` |  | Resource name for the glyph loaded in the method.

## Description

Calls the LoadGlyphFromLazarusResource routine in buttons.pas to load the bitmap for the specified resource name into the Glyph for the button control.

## Version info

Modified in LCL version 4.0 to use the TLCLHandle type for the Instance argument instead of the deprecated THandle type.

## See also

TCustomBitBtn.Glyph |  | Bitmap with the Glyph displayed on the control.
LoadGlyphFromLazarusResource |  | Loads the named glyph image from a Lazarus Resource file.
TLCLHandle |  | Alias to the TLCLHandle type defined for widgetset references.